#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kscd
Summary: KDE Audio CD Player
Epoch: 3
Version: 4.12.5
Release: %mkrel %{rel}
Group: Sound/Players
License: GPLv2
URL: http://www.kde.org/applications/multimedia/kscd
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
Patch0: kscd-4.12.5-fix-multiple-CD-device.patch
BuildRequires: pkgconfig(libmusicbrainz3)
BuildRequires: kdelibs4-devel
Requires: kdebase4-runtime
Conflicts: kdemultimedia4-core < 3:4.5.71
Conflicts: kdemultimedia4-devel < 3:4.6.90-3
Suggests: gstreamer0.10-cdparanoia

%description
KsCD is a small, fast, CDDB enabled audio CD player which supports
multiple platforms.

%files
%_kde_bindir/kscd
%_kde_applicationsdir/kscd.desktop
%_kde_datadir/config.kcfg/kscd.kcfg
%_kde_appsdir/kscd
%_kde_iconsdir/*/*/apps/kscd.*
%_kde_appsdir/solid/actions/kscd-play-audiocd.desktop
%_datadir/dbus-1/interfaces/org.kde.kscd.cdplayer.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 3:4.12.5-1.mga4
+ Revision: 641344
- Update to KDE SC 4.12.5
  rediff patch0 multiple CD device

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555034
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551306
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539973
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490710
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488648
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476804
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465157
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458952
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455338
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447913
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435268
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428381
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407197
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401825
- Update tarball to KDE SC 4.10.1
  + drop patch from KDE/4.10 (patch1 merged upstream)
  + fix files list

* Mon Feb 25 2013 fwang <fwang> 3:4.10.0-2.mga3
+ Revision: 400296
- br kdelibs4
- add upstream patch to drop br on kcddb and kcompactdisc

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394370
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 356479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339423
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334524
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326729
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320286
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing BuildRequires

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316171
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301941
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289731
- Update tarball to KDE SC 4.9.1

* Thu Aug 23 2012 lmenut <lmenut> 3:4.9.0-2.mga3
+ Revision: 283369
- add patch to fix kscd on systems with multiple CD drives (mga #5577)

* Wed Aug 01 2012 fwang <fwang> 3:4.9.0-1.mga3
+ Revision: 276934
- drop unneeded requires

  + mikala <mikala>
    - Silent: Fix Source URL
    - Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269701
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 265270
- add br
- imported package kscd

